/*
  GNU Unifont
  MC默认Unicode字体
*/
@font-face {
    font-family: "unifont";
    src:url("/fonts/unifont.woff2")format("woff2"),
        url("/fonts/unifont.woff")format("woff"),
        url("/fonts/unifont.ttf")format("truetype");
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

/*
  默认字体
*/
:root {
  --font: 'unifont';
}

/*
  统一设置字体家族
  全部使用 Unifont
  如果加载失败退回到系统等宽字体
*/
* {
    font-family: unifont, monospace;
}

/*
  设置背景颜色
  浅灰降低眼疲劳
*/
body {
    background-color: #f3f3f3;
}

a {
    color: #333;
}

/*
  选项卡栏类
  z-index = 100 确保选项栏一定在主体内容之上
  背景使用浅灰，柔和不伤眼
*/
.tabBar {
    display: flex;
    z-index: 100;
    position: fixed;
    background-color: #eeeeee;
    width: 100%;
    padding: 0;
    border-radius: 15px;
}

/*
  选项类
*/
.tab {
    margin: 15px 50px;
    font-size: 30px;
}

/*
  卡片类
  主题分为一个个卡片
  文字居中，避免重心偏左
  阴影避免生硬感
*/
.card {
    padding: 10px;
    text-align: center;
    font-size: medium;
    background-color: #e0e0e0;
    border-radius: 15px;
    box-shadow: 0 17px 15px #00000015;
}

/*
  无下划线类
  美观干净
  避免a标签超链接带来的割裂感
  前景色深灰，降低阅读疲劳
*/
.notUnderline {
    text-decoration: none;
    color: #333;
}

/*
  头像类
  使用图片半径作为圆角大小，伪装成圆形头像
*/
.head {
    border-radius: 15px;
}